Zoho crm Logo

模块 API

Zoho CRM 包含标准模块,如潜在客户、Account、联系人、交易、预测和活动,以及自定义模块。使用 Zoho CRM REST API,您可以通过获取模块列表 API 检索可用模块的列表。

获取模块列表

目的

要检索您 Zoho CRM 账户中所有可用模块的列表。

端点

  • GET /settings/modules

请求详情

请求 URL

{api-domain}/crm/{version}/settings/modules

标题

授权: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

范围

ZohoCRM.settings.ALL
(或)
ZohoCRM.settings.modules.{operation_type}

可能的操作类型

全部 - 完整数据访问
读取 - 获取模块数据

注意

  • 在访问资源时,请参考 api_Name 键在 JSON 数据中的位置。每个模块、字段和相关列表都会有一个 API Name,您可以在第三方集成中使用它。例如,如果您想访问潜在客户模块,请使用“Leads”,这是每次访问资源时的 api_Name。Zoho CRM 在创建自定义模块、自定义字段或相关列表标签时会内部生成一个 API Name。请注意,您不能更改默认模块、字段和相关列表的 API Name。您只能更改自定义模块、字段和相关列表的 API Name。
  • 生成的API名称只能包含字母、数字和下划线。API名称应以字母开头,不应包含两个连续的下划线或以下划线结尾。
  • 对于事件模块,
    • singular_label 和 plural_label 将分别是 Meeting 和 Meetings。
    • module_name 将是 Meetings。
    • api_name 将保持为 Events。
  • 从组织中移除的模块也将在响应中获取。
  • 在响应中使用profiles键来了解有权限查看特定模块的配置文件。
  • 当在模块中添加新的文件上传或图片上传字段时,系统会为这些字段创建一个单独的模块。获取模块 API的响应也会返回这些模块的详细信息。
  • 它会检索您组织中所有可用的标准、子表单、链接 (MxN) 和自定义模块。

参数

  • status string, optional

    status 参数可用于检索特定类型的模块。 
    可能的值:

    • user_hidden - 对用户隐藏的模块。
    • system_hidden - 被系统隐藏的模块。
    • scheduled_for_deletion - 计划删除的模块。
    • visible - 对用户可见的模块。

    例如,status = user_hidden,system_hidden 可用于检索对用户和系统隐藏的所有模块。

示例请求

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/modules"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
Copiedresponse = invokeurl
[
	url: "https://www.zohoapis.com/crm/v8/settings/modules"
	type: GET
	connection:"crm_oauth_connection"
];
info response;

响应 JSON 

  • deletable Boolean

    描述用户是否可以删除当前模块中的记录。
    可能的值:

    true: 用户可以删除当前模块中的记录。
    false: 用户不能删除当前模块中的记录。

  • description string

    表示模块的描述(如果有)。

  • creatable Boolean

    表示用户是否可以在当前模块中创建记录。
    可能的值:

    true: 用户可以在当前模块中创建记录。
    false: 用户不能在当前模块中创建记录。

  • modified_timeISO8601格式的日期和时间

    表示模块属性最后修改的日期和时间。

  • plural_label string

    表示模块名称的复数形式。例如:Leads。

  • singular_label string

    表示模块名称的单数形式。例如:Lead。

  • has_more_profiles Boolean

    表示是否有更多的配置文件可以访问该模块。默认情况下,模块元数据 API 在 "profiles" 键中列出最多 50 个配置文件。如果配置文件超过 50 个,此值将为 true;如果配置文件为 50 个或更少,此值将为 false。

  • access_type string

    指定模块的访问类型。 
    可能的值:

    • org_based - 默认设置,允许在组织级别进行访问。
    • team_based - 访问限制在团队级别权限(如果启用了团队空间功能)。
  • private_profile JSON 数组

    表示您在 Teams 模块中创建的可用配置文件。

  • recycle_bin_on_delete Boolean

    表示模块中的记录在删除时是否可以移至回收站。

  • web_link string

    此键与网页标签相关,网页标签被视为模块。网页标签可以从以下两种来源创建:链接或小部件。此键的值将是网页标签的URL(在链接的情况下)或小部件的URL(在小部件的情况下)。

  • presence_sub_menu Boolean

    表示模块是否有子菜单。例如,任务在呼叫模块中是一个子菜单。 
    可能的值:

    • true: 当前模块有子菜单。
    • false: 当前模块没有子菜单。
  • id string

    表示模块的唯一ID。例如,4150868000000002173

  • visible Boolean

    表示该模块是否对当前用户的个人资料可见。

  • visibility integer

    表示当前用户对模块的可见性。

    • 1    - 模块可见
    • 0   - 模块隐藏
    • -1  - 由于计划降级,模块不可用/被系统隐藏。
  • convertable Boolean

    描述用户是否可以将记录转换为另一种类型的记录。例如:将潜在客户转换为交易。
    可能的值:

    • true: 用户可以将当前模块中的记录转换为另一种类型的记录。
    • false: 用户不能将当前模块中的记录转换为另一种类型的记录。
  • viewable Boolean

    表示用户是否可以查看当前模块中的记录。
    可能的值:

    • true: 用户可以查看当前模块中的记录。
    • false: 用户不能查看当前模块中的记录。
  • editable Boolean

    描述用户是否可以编辑当前模块中的记录。
    可能的值:

    • true: 用户可以编辑当前模块中的记录。
    • false: 用户不能编辑当前模块中的记录。
  • api_supported Boolean

    描述当前模块是否可以通过 API 访问。
    可能的值:

    • true: 当前模块可以通过 API 访问。例如,Leads,Quotes。
    • false: 当前模块不能通过 API 访问。例如,Feeds,Documents 等。
  • profilesJSON array

    数组中的每个对象代表有权访问该模块的配置文件的详细信息。 

    示例: {
    "name": "Administrator",
    "id": "4150868000000026011"
    }

  • show_as_tab Boolean

    表示模块是否在CRM用户界面中显示为一个标签。
    可能的值:

    • true: 模块在CRM用户界面中显示为一个标签。例如,联系人,Account等。
    • false: 模块在CRM用户界面中不显示为一个标签。例如,笔记,Attachments,链接模块等。
  • web_link string

    表示模块的网页链接(如果有)。例如,https://extensions.zoho.com/plugin/facebook

  • sequence_number integer

    表示模块在CRM中的位置。

  • api_name string

    表示模块的API名称。例如:Leads。

  • quick_create Boolean

    表示模块是否支持快速创建。
    可能的值:

    • true: 用户可以在当前模块中使用快速创建添加记录。例如,联系人,Account等。
    • false: 用户不能在当前模块中使用快速创建添加记录。例如,动态,预测等。
  • modified_byJSON object

    表示最后修改模块属性的用户的姓名和ID。 

    例如:

    "modified_by": {
    "name": "Patricia Boyle",
    "id": "4150868000000225013"
    }

  • generated_type string

    表示模块的创建方式。
    可能的值:

    • default: 这是一个标准模块。例如,潜在客户、联系人、Account等。
    • linking: 这是一个链接模块,即 MxN 模块。
    • subform: 这是一个库存模块中的行项目子表单。
    • web: 这是一个网页标签小部件。
    • custom: 这是一个自定义模块。
  • feeds_required Boolean

    表示是否为该模块启用了feeds。
    可能的值:

    • true: 当前模块启用了feeds。
    • false: 当前模块未启用feeds。
  • argumentsJSON array

    表示在 Web-tab 中使用的链接参数。每个对象表示显示名称和参数的值。

    例如:

    "arguments": [
    {
    "name": "sample",
    "value": "users.city"
    }
    ]

  • module_name string

    表示模块的显示名称。

  • business_card_field_limit integer

    表示您可以在名片详情中拥有的字段数量。
    注意:名片详情显示在记录的“详细视图”页面上。这也是当您悬停在查找字段上时显示的信息。

  • custom_viewJSON object

    表示为此模块创建的自定义视图的详细信息。如果您传递自定义视图 ID,响应将包含该自定义视图的详细信息。否则,系统将获取该模块中默认视图的详细信息。

  • parent_moduleJSON object

    表示父模块的详细信息(如果有)。例如,Sales Orders 是 Order的 Items(子表单模块)的父模块。

  • status string

    表示模块是 user_hidden、system_hidden、scheduled_for_deletion 还是 visible。

    可能的值:

    • user_hidden - 对用户隐藏的模块。
    • system_hidden - 被系统隐藏的模块。
    • scheduled_for_deletion - 计划删除的模块。
    • visible - 对用户可见的模块。
  • sub_menu_available Boolean

    表示该模块是否有子菜单选项。

  • actual_plural_label string

    表示模块名称的实际复数形式。

  • actual_singular_labelstring

    表示模块名称的实际单数形式。

  • lookupable Boolean

    表示该模块是否可以在其他模块中用作查找字段。

  • isBlueprintSupported Boolean

    表示模块是否支持蓝图。

  • profile_count integer

    表示有权访问该模块的配置文件数量。

  • public_fields_configured Boolean

    表示模块是否配置了公共字段。

可能的错误

  • INVALID_REQUEST_METHODHTTP 400

    HTTP请求方法类型无效
    解决方案:您指定了一个无效的HTTP方法来访问API URL。请指定一个有效的请求方法。请参阅端点部分。

  • AUTHORIZATION_FAILEDHTTP 400

    用户没有足够的权限读取模块详情。
    解决方案:用户没有权限检索模块详情。请联系系统管理员。

  • OAUTH_SCOPE_MISMATCHHTTP 401

    未经授权
    解决方案:客户端没有ZohoCRM.settings.modules.READ范围。创建一个具有有效范围的新客户端。请参阅范围部分。

  • NO_PERMISSIONHTTP 403

    无权限读取
    解决方案:用户没有读取记录的权限。请联系系统管理员。

  • INVALID_URL_PATTERNHTTP 404

    请检查尝试访问的URL是否正确
    解决方案: 请求的URL不正确。请指定一个有效的请求URL。请参阅请求URL 部分。

  • INTERNAL_ERRORHTTP 500

    内部服务器错误
    解决方案:服务器中出现意外且未处理的异常。请联系支持团队。

示例响应

Copied{
    "modules": [
        {
            "has_more_profiles": false,
            "access_type": "org_based",
            "private_profile": null,
            "global_search_supported": false,
            "deletable": false,
            "description": null,
            "creatable": false,
            "recycle_bin_on_delete": false,
            "modified_time": null,
            "plural_label": "Home",
            "presence_sub_menu": false,
            "actual_plural_label": "Home",
            "lookupable": false,
            "id": "5725767000000002173",
            "isBlueprintSupported": false,
            "visibility": 1,
            "convertable": false,
            "sub_menu_available": false,
            "editable": false,
            "actual_singular_label": "Home",
            "profiles": [
                {
                    "name": "Administrator",
                    "id": "5725767000000026011"
                },
                {
                    "name": "Standard",
                    "id": "5725767000000026014"
                },
                {
                    "name": "asd",
                    "id": "5725767000000871001"
                }
            ],
            "show_as_tab": true,
            "web_link": null,
            "sequence_number": 1,
            "singular_label": "Home",
            "viewable": true,
            "api_supported": false,
            "api_name": "Home",
            "quick_create": false,
            "modified_by": null,
            "generated_type": "default",
            "feeds_required": false,
            "public_fields_configured": false,
            "arguments": [],
            "module_name": "Home",
            "profile_count": 3,
            "business_card_field_limit": 5,
            "parent_module": {},
            "status": "visible"
        },
        {
            "has_more_profiles": false,
            "access_type": "org_based",
            "private_profile": null,
            "global_search_supported": true,
            "deletable": true,
            "description": null,
            "creatable": true,
            "recycle_bin_on_delete": true,
            "modified_time": "2025-04-24T10:32:20-07:00",
            "plural_label": "Leads",
            "presence_sub_menu": true,
            "actual_plural_label": "Leads",
            "lookupable": true,
            "id": "5725767000000002175",
            "isBlueprintSupported": true,
            "visibility": 1,
            "convertable": true,
            "sub_menu_available": true,
            "editable": true,
            "actual_singular_label": "Lead",
            "profiles": [
                {
                    "name": "Administrator",
                    "id": "5725767000000026011"
                },
                {
                    "name": "Standard",
                    "id": "5725767000000026014"
                },
                {
                    "name": "asd",
                    "id": "5725767000000871001"
                }
            ],
            "show_as_tab": true,
            "web_link": null,
            "sequence_number": 2,
            "singular_label": "Lead",
            "viewable": true,
            "api_supported": true,
            "api_name": "Leads",
            "quick_create": true,
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "5725767000000411001"
            },
            "generated_type": "default",
            "feeds_required": false,
            "public_fields_configured": false,
            "arguments": [],
            "module_name": "Leads",
            "profile_count": 3,
            "business_card_field_limit": 5,
            "parent_module": {},
            "status": "visible"
        },
        {
            "has_more_profiles": false,
            "access_type": "org_based",
            "private_profile": null,
            "global_search_supported": true,
            "deletable": true,
            "description": null,
            "creatable": true,
            "recycle_bin_on_delete": true,
            "modified_time": "2025-04-10T00:59:37-07:00",
            "plural_label": "Contacts",
            "presence_sub_menu": true,
            "actual_plural_label": "Contacts",
            "lookupable": true,
            "id": "5725767000000002179",
            "isBlueprintSupported": true,
            "visibility": 1,
            "convertable": false,
            "sub_menu_available": true,
            "editable": true,
            "actual_singular_label": "Contact",
            "profiles": [
                {
                    "name": "Administrator",
                    "id": "5725767000000026011"
                },
                {
                    "name": "Standard",
                    "id": "5725767000000026014"
                },
                {
                    "name": "asd",
                    "id": "5725767000000871001"
                }
            ],
            "show_as_tab": true,
            "web_link": null,
            "sequence_number": 3,
            "singular_label": "Contact",
            "viewable": true,
            "api_supported": true,
            "api_name": "Contacts",
            "quick_create": true,
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "5725767000000411001"
            },
            "generated_type": "default",
            "feeds_required": false,
            "public_fields_configured": false,
            "arguments": [],
            "module_name": "Contacts",
            "profile_count": 3,
            "business_card_field_limit": 5,
            "parent_module": {},
            "status": "visible"
        },
        {
            "has_more_profiles": false,
            "access_type": "org_based",
            "private_profile": null,
            "global_search_supported": true,
            "deletable": true,
            "description": null,
            "creatable": true,
            "recycle_bin_on_delete": true,
            "modified_time": "2025-04-15T03:03:21-07:00",
            "plural_label": "Accounts",
            "presence_sub_menu": true,
            "actual_plural_label": "Accounts",
            "lookupable": true,
            "id": "5725767000000002177",
            "isBlueprintSupported": true,
            "visibility": 1,
            "convertable": false,
            "sub_menu_available": true,
            "editable": true,
            "actual_singular_label": "Account",
            "profiles": [
                {
                    "name": "Administrator",
                    "id": "5725767000000026011"
                },
                {
                    "name": "Standard",
                    "id": "5725767000000026014"
                },
                {
                    "name": "asd",
                    "id": "5725767000000871001"
                }
            ],
            "show_as_tab": true,
            "web_link": null,
            "sequence_number": 4,
            "singular_label": "Account",
            "viewable": true,
            "api_supported": true,
            "api_name": "Accounts",
            "quick_create": true,
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "5725767000000411001"
            },
            "generated_type": "default",
            "feeds_required": false,
            "public_fields_configured": false,
            "arguments": [],
            "module_name": "Accounts",
            "profile_count": 3,
            "business_card_field_limit": 5,
            "parent_module": {},
            "status": "visible"
        },
        .
        .
        .
    ]
}